Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.card.server.bean.CardDao

public class CardDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `activated(Card card, int type)`
  `String`
  `addCard(Connection connection, Card card)`
  `void`
  `addCardsToDealer(int dealerId, Calendar date, String cards)`
  `void`
  `addCardToContract(Connection con, Calendar time, Card card, int contractId)`
  `void`
  `addCardToContract(Calendar time, Card card, int contractId, ru.bitel.bgbilling.kernel.container.managed.ServerContext context)`
  Deprecated.
  `void`
  `addCardToContract(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, Connection con, Calendar time, Card card, int contractId)`
  `String`
  `checkCard(Card card)`
  `void`
  `deleteContractCards(int contractId)`
  `Card`
  `findCard(String userName)`
  `Card`
  `findCard(String userName, Trace tracer)`
  `List<Card>`
  `getCards(List<Integer> ids)`
  `List<Card>`
  `getContractCards(int contractId, int months)`
  `void`
  `searchCards(SearchResult<Card> searchResult, CardFilter cardFilter)`
  `void`
  `updateCardStatus(String cards, int newStatus)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardDao

    public CardDao(Connection con, int moduleId)

- ## Method Details

  - ### findCard

    public Card findCard(String userName) throws SQLException
    Throws:
      `SQLException`

  - ### findCard

    public Card findCard(String userName, Trace tracer) throws SQLException
    Throws:
      `SQLException`

  - ### addCard

    public String addCard(Connection connection, Card card)

  - ### checkCard

    public String checkCard(Card card)

  - ### activated

    public boolean activated(Card card, int type)

  - ### addCardToContract

    @Deprecated public void addCardToContract(Calendar time, Card card, int contractId, ru.bitel.bgbilling.kernel.container.managed.ServerContext context)
    Deprecated.

  - ### addCardToContract

    public void addCardToContract(Connection con, Calendar time, Card card, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addCardToContract

    public void addCardToContract(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, Connection con, Calendar time, Card card, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractCards

    public List<Card> getContractCards(int contractId, int months) throws SQLException
    Throws:
      `SQLException`

  - ### searchCards

    public void searchCards(SearchResult<Card> searchResult, CardFilter cardFilter) throws SQLException
    Throws:
      `SQLException`

  - ### getCards

    public List<Card> getCards(List<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### addCardsToDealer

    public void addCardsToDealer(int dealerId, Calendar date, String cards) throws SQLException
    Throws:
      `SQLException`

  - ### updateCardStatus

    public void updateCardStatus(String cards, int newStatus) throws SQLException
    Throws:
      `SQLException`

  - ### deleteContractCards

    public void deleteContractCards(int contractId) throws SQLException
    Throws:
      `SQLException`